package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 半年类型(1.上半年,2.下半年)枚举类
*
* @author zxfei
*/
public enum HalfYearEnum {
    上半年(1, "上半年"),
    下半年(2, "下半年");
    private Integer value;
    private String desc;

    HalfYearEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static HalfYearEnum getByValue(Integer value) {
        for (HalfYearEnum halfYearEnum : HalfYearEnum.values()) {
            if (halfYearEnum.getValue() == value) {
                return halfYearEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (HalfYearEnum item : HalfYearEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}